4 Replies Latest reply on Mar 26, 2013 10:54 AM by craighip

    I have Acrobat X. Do I have to have Acrobat XI to make full use of FormsCentral?

    craighip

      I have Acrobat X. Do I have to have Acrobat XI to make full use of FormsCentral?